pro trim_image
;
; accepts image path, LL and UR corner coordinates
; 
; sets all pixels outside this box to deleted data value
; 
; DPC 20200525
; ;
; 
image = readfits(dialog_pickfile(title='Select FITS Image'),header)
;
ll_x = 0
ll_y = 0
ur_x = 0
ur_y = 0
;
read, prompt='Specify X,Y location of Lower Left corner for trim: ',ll_x, ll_y
read, prompt='Specify X,Y location of Upper Right corner for trim: ',ur_x, ur_y
;
out_name = dialog_pickfile(title='Output FITS Image')
;
image_size = SIZE(image)
nx = image_size[1]
ny = image_size[2]
;
out_image = fltarr(nx,ny)
out_image *= 0.0
out_image += -1.0e6   ; set all to deleted
;
out_image[ll_x:ur_x,ll_y:ur_y] = image[ll_x:ur_x,ll_y:ur_y]    ; load good data
;
writefits, out_name, out_image, header
;
print, 'Done!'
end
